%define module	construct

Name:		python-%{module}
Version:	2.10.70
Release:	%mkrel 3
Summary:	A powerful declarative parser/builder for binary data
License:	MIT
Group:		Development/Python
URL:		https://construct.readthedocs.org
Source0:	https://pypi.io/packages/source/c/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Construct is a powerful declarative parser (and builder) for binary
data.

Instead of writing imperative code to parse a piece of data, you
declaratively define a data structure that describes your data. As
this data structure is not code, you can use it in one direction to
parse data into Pythonic objects, and in the other direction, convert
(build) objects into binary data.

%package -n	python3-%{module}
Summary:	A powerful declarative parser/builder for binary data
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Construct is a powerful declarative parser (and builder) for binary
data.

Instead of writing imperative code to parse a piece of data, you
declaratively define a data structure that describes your data. As
this data structure is not code, you can use it in one direction to
parse data into Pythonic objects, and in the other direction, convert
(build) objects into binary data.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst


%changelog
* Sat Mar 01 2025 wally <wally> 2.10.70-3.mga10
+ Revision: 2154561
- rebuild for python3.13

* Wed Dec 20 2023 tv <tv> 2.10.70-2.mga10
+ Revision: 2020057
- Rebuild for python 3.12

* Mon Dec 04 2023 daviddavid <daviddavid> 2.10.70-1.mga10
+ Revision: 2013097
- new version: 2.10.70

* Wed Oct 25 2023 daviddavid <daviddavid> 2.10.69-1.mga10
+ Revision: 2001159
- new version: 2.10.69
- switch to pyproject

* Wed Aug 24 2022 papoteur <papoteur> 2.10.68-1.mga9
+ Revision: 1879995
- new 2.10.68

* Wed Mar 23 2022 umeabot <umeabot> 2.10.67-3.mga9
+ Revision: 1822351
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 2.10.67-2.mga9
+ Revision: 1773323
- Rebuild for python-3.10

* Mon Apr 26 2021 daviddavid <daviddavid> 2.10.67-1.mga9
+ Revision: 1719825
- new version: 2.10.67

* Tue Apr 06 2021 daviddavid <daviddavid> 2.10.66-1.mga9
+ Revision: 1713909
- new version: 2.10.66

* Sat Mar 27 2021 daviddavid <daviddavid> 2.10.63-1.mga9
+ Revision: 1710835
- new version: 2.10.63

* Sat Mar 20 2021 tv <tv> 2.10.61-2.mga9
+ Revision: 1705615
- rebuild for python-3.9.2

* Tue Mar 02 2021 daviddavid <daviddavid> 2.10.61-1.mga9
+ Revision: 1695765
- new version: 2.10.61

* Fri Feb 26 2021 daviddavid <daviddavid> 2.10.60-1.mga9
+ Revision: 1691751
- new version: 2.10.60

* Thu Jul 23 2020 ovitters <ovitters> 2.10.56-3.mga8
+ Revision: 1608264
- rebuild for removing pythonegg buildrequires in srpm

* Thu Feb 20 2020 umeabot <umeabot> 2.10.56-2.mga8
+ Revision: 1546506
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 2.10.56-1.mga8
+ Revision: 1486593
- new version: 2.10.56

* Sat Feb 01 2020 daviddavid <daviddavid> 2.10.55-1.mga8
+ Revision: 1486167
- new version: 2.10.55

* Thu Jan 23 2020 daviddavid <daviddavid> 2.9.51-1.mga8
+ Revision: 1482323
- new version: 2.9.51

* Wed Sep 11 2019 tv <tv> 2.9.45-2.mga8
+ Revision: 1439637
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 2.9.45-1.mga7
+ Revision: 1352278
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.8.22-3.mga7
+ Revision: 1288511
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 pterjan <pterjan> 2.8.22-2.mga7
+ Revision: 1236450
- Revert to 2.8.22, 2.9 breaks the only package using it

* Wed Feb 14 2018 daviddavid <daviddavid> 2.9.30-1.mga7
+ Revision: 1200957
- new version: 2.9.30

* Tue Feb 13 2018 daviddavid <daviddavid> 2.9.29-1.mga7
+ Revision: 1200814
- new version: 2.9.29

* Sun Feb 11 2018 daviddavid <daviddavid> 2.9.28-1.mga7
+ Revision: 1200346
- new version: 2.9.28

* Sat Jan 20 2018 daviddavid <daviddavid> 2.8.22-1.mga7
+ Revision: 1195120
- new version: 2.8.22

* Thu Jan 04 2018 daviddavid <daviddavid> 2.8.20-1.mga7
+ Revision: 1190201
- new version: 2.8.20

* Fri Dec 15 2017 daviddavid <daviddavid> 2.8.17-1.mga7
+ Revision: 1182659
- new version: 2.8.17

* Fri Oct 20 2017 daviddavid <daviddavid> 2.8.16-1.mga7
+ Revision: 1172863
- new version: 2.8.16
- rename python-construct to python2-construct

* Sat Sep 30 2017 guillomovitch <guillomovitch> 2.8.14-1.mga7
+ Revision: 1161873
- new version 2.8.14

* Fri Aug 04 2017 tv <tv> 2.5.5-2.mga7
+ Revision: 1134524
- rebuild for new python

* Tue Jan 03 2017 daviddavid <daviddavid> 2.5.5-1.mga6
+ Revision: 1079839
- new version: 2.5.5

* Sun Apr 10 2016 daviddavid <daviddavid> 2.5.2-1.mga6
+ Revision: 1000083
- imported package python-construct

